package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 医生信息对象 t_doctor
 * 
 * @author ruoyi
 * @date 2022-08-04
 */
public class TDoctor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 腾讯openid */
    @Excel(name = "腾讯openid")
    private String openId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 编号 */
    @Excel(name = "编号")
    private String identifier;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 电话 */
    @Excel(name = "电话")
    private String phone;

    /** 用户性别（0男 1女 2未知） */
    @Excel(name = "用户性别", readConverterExp = "0=男,1=女,2=未知")
    private String sex;

    /** 年龄 */
    @Excel(name = "年龄")
    private Integer age;

    /** 婚姻状态（0未婚 1已婚 2未知） */
    @Excel(name = "婚姻状态", readConverterExp = "0=未婚,1=已婚,2=未知")
    private String marriage;

    /** 职称 */
    @Excel(name = "职称")
    private String title;

    /** 专长 */
    @Excel(name = "专长")
    private String speciality;

    /** 简介 */
    @Excel(name = "简介")
    private String introduction;

    /** 职业医师照片路径 */
    @Excel(name = "职业医师照片路径")
    private String medicalLicense;

    /** 二维码base64 */
    @Excel(name = "二维码base64")
    private String qrCode;

    /** 医院 */
    @Excel(name = "医院")
    private Long hospitalId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setOpenId(String openId) 
    {
        this.openId = openId;
    }

    public String getOpenId() 
    {
        return openId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setIdentifier(String identifier) 
    {
        this.identifier = identifier;
    }

    public String getIdentifier() 
    {
        return identifier;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }
    public void setAge(Integer age) 
    {
        this.age = age;
    }

    public Integer getAge() 
    {
        return age;
    }
    public void setMarriage(String marriage) 
    {
        this.marriage = marriage;
    }

    public String getMarriage() 
    {
        return marriage;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setSpeciality(String speciality) 
    {
        this.speciality = speciality;
    }

    public String getSpeciality() 
    {
        return speciality;
    }
    public void setIntroduction(String introduction) 
    {
        this.introduction = introduction;
    }

    public String getIntroduction() 
    {
        return introduction;
    }
    public void setMedicalLicense(String medicalLicense) 
    {
        this.medicalLicense = medicalLicense;
    }

    public String getMedicalLicense() 
    {
        return medicalLicense;
    }
    public void setQrCode(String qrCode) 
    {
        this.qrCode = qrCode;
    }

    public String getQrCode() 
    {
        return qrCode;
    }
    public void setHospitalId(Long hospitalId) 
    {
        this.hospitalId = hospitalId;
    }

    public Long getHospitalId() 
    {
        return hospitalId;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("openId", getOpenId())
            .append("userId", getUserId())
            .append("identifier", getIdentifier())
            .append("name", getName())
            .append("phone", getPhone())
            .append("sex", getSex())
            .append("age", getAge())
            .append("marriage", getMarriage())
            .append("title", getTitle())
            .append("speciality", getSpeciality())
            .append("introduction", getIntroduction())
            .append("medicalLicense", getMedicalLicense())
            .append("qrCode", getQrCode())
            .append("hospitalId", getHospitalId())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
