package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TRecord;

/**
 * 诊断记录信息Service接口
 * 
 * @author ruoyi
 * @date 2022-08-03
 */
public interface ITRecordService 
{
    /**
     * 查询诊断记录信息
     * 
     * @param id 诊断记录信息主键
     * @return 诊断记录信息
     */
    public TRecord selectTRecordById(Long id);

    /**
     * 查询诊断记录信息列表
     * 
     * @param tRecord 诊断记录信息
     * @return 诊断记录信息集合
     */
    public List<TRecord> selectTRecordList(TRecord tRecord);

    /**
     * 新增诊断记录信息
     * 
     * @param tRecord 诊断记录信息
     * @return 结果
     */
    public int insertTRecord(TRecord tRecord);

    /**
     * 修改诊断记录信息
     * 
     * @param tRecord 诊断记录信息
     * @return 结果
     */
    public int updateTRecord(TRecord tRecord);

    /**
     * 批量删除诊断记录信息
     * 
     * @param ids 需要删除的诊断记录信息主键集合
     * @return 结果
     */
    public int deleteTRecordByIds(Long[] ids);

    /**
     * 删除诊断记录信息信息
     * 
     * @param id 诊断记录信息主键
     * @return 结果
     */
    public int deleteTRecordById(Long id);
}
